Name: bonnie++
Version: 1.03e
Release: %mkrel 1
Summary: A program for benchmarking hard drives and filesystems
License: GPL
Group: System/Kernel and hardware
URL: http://www.coker.com.au/bonnie++/
Source: http://www.coker.com.au/bonnie++/bonnie++-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: bonnie
Obsoletes: bonnie

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of simple
tests of hard drive and file system performance.

%prep
%setup -q
autoconf

%build
%configure2_5x
%make 
perl -pi -e "s@/usr/share/doc/bonnie\+\+/@%_docdir/%name-%version/@" bonnie++.8

%install
rm -rf $RPM_BUILD_ROOT
[ -e debian/changelog ]&& (rm -f changelog.txt;mv debian/changelog changelog.txt)
perl -pi -e "s@usr/share/man@%{buildroot}%_mandir@g" Makefile
%makeinstall eprefix=%{buildroot} DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc changelog.txt readme.html credits.txt
/sbin/bonnie++
/sbin/zcav
/bin/bon_csv2html
/bin/bon_csv2txt
%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog
* Sun Jun 24 2012 Neal <nealbrks0 at gmail dot com> 1.03e-1pclos2012
- process

* Sat Jun 23 2012 Galen Seaman <galen.seaman@comcast.net> 1.03e-1pclos2012
- update 1.03e

* Wed Nov 01 2006 Texstar <texstar@houston.rr.com> 1.03a-4pclos2007
- Build for PCLinuxOS 2007

